-- Author      : admin
-- Create Date : 10/13/2019 2:30:25 PM

do
    local a = newArray();

    local b = a.some();

    assert(#a == 0, 'expect #a to be 0');
    assert(b == false, 'expect b to be false');
end

do
    local a = newArray('1','2','3','4','5','6','7','8','9');

    local b = a.some(function(v, i, arr)
        assert(type(v) == 'string');
        assert(type(i) == 'number');
        assert(type(arr) == 'table');
        assert(arr == a);
    end);

    assert(#a == 9, 'expect #a to be 9');
    assert(b == false, 'expect b to be false');
end

do
    local a = newArray(1,2,3,4,5,6,7,8,9);

    local b = a.some(function(v, i, arr)
        return false;
    end);

    assert(#a == 9, 'expect #a to be 0');
    assert(b == false, 'expect b to be false');
end

do
    local a = newArray(1,2,3,4,5,6,7,8,9);

    local b = a.some(function(v, i, arr)
        return true;
    end);

    assert(#a == 9, 'expect #a to be 0');
    assert(b == true, 'expect b to be false');
end
